{% extends "application/__base.html" %}

{% load markdown_filter %}

{% block title %}{{ current_page.title }} – {{ block.super }}{% endblock %}

{% block content %}
    <section class="content">
        <div class="container">
            <h1>{{ current_page.title }}</h1>

            {% if list_products_active %}
                {% include "application/_products_list.html" %}
            {% else %}
                {% for blocks in current_page.iter_blocks %}
                    <div class="row">
                        {% for block_ in blocks %}
                            <div class="block {% if block_.is_centered %}centered{% endif %} {% if block_.is_important %}important{% endif %} {% if block_.illustration_url %}illustrated{% endif %}"
                                 {% if block_.illustration_url %}style="background-image: url('{{ block_.illustration_url }}');"{% endif %}
                            >
                                <div class="text">{{ block_.content|markdownify|safe }}</div>
                            </div>
                        {% endfor %}
                    </div>
                {% endfor %}
            {% endif %}
        </div>
    </section>
{% endblock %}
